using UnityEngine;
using System.Collections;

public class InputManager : MonoBehaviour {

    void Update()
    {
        //if (Input.GetKeyDown(KeyCode.Alpha1)) { EventManager.TriggerEvent(Constants.KeyPressed); }
        //if (Input.GetKeyDown(KeyCode.Alpha2)) { EventManager.TriggerEvent(Constants.KeyPressed); }
        //if (Input.GetKeyDown(KeyCode.Alpha3)) { EventManager.TriggerEvent(Constants.KeyPressed); }
        //if (Input.GetKeyDown(KeyCode.Alpha4)) { EventManager.TriggerEvent(Constants.KeyPressed); }

        foreach (KeyCode key in System.Enum.GetValues(typeof(KeyCode)))
        {
            if (Input.GetKeyDown(key))
            {
                Debug.Log(key);
            }
        }
    }
}